Bug 1458383 - [RFE] Administer -> About page should have a bullet link to the local Satellite API docs
Summary: [RFE] Administer -> About page should have a bullet link to the local Satelli...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-02 17:46 UTC by Mike McCune
Modified: 2019-11-05 23:05 UTC (History)
7 users (show)

Fixed In Version: foreman-theme-satellite-2.0.1.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:58 UTC
Foreman Issue Tracker 20035 None None None 2017-06-16 14:10:08 UTC

Description Mike McCune 2017-06-02 17:46:14 UTC
Currently the documentation has links to the user guide, transition guide and the API guide, but we need a link to the local, Satellite specific APIDOCs found at:

https://satellite.examle.com/apidoc/v2/

Documentation

 * User Guide
 * Transition Guide
 * API Guide
 * API Documentation

This will ensure the user can quickly know of and get to the correct API docs for the version they are using.

Comment 2 Marek Hulan 2017-06-16 14:10:05 UTC
Created redmine issue http://projects.theforeman.org/issues/20035 from this bug

Comment 3 pm-sat@redhat.com 2017-06-16 16:01:25 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 pm-sat@redhat.com 2017-06-16 16:01:29 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 pm-sat@redhat.com 2017-06-20 12:01:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20035 has been resolved.

Comment 6 Lukáš Hellebrandt 2018-06-25 11:56:24 UTC
This fix is not present in Sat 6.4 snap 8. The 'Documentation' section only contains link to 'Complete Product Documentation for Red Hat Satellite'.

(This is also true for Sat 6.3.1 but if this BZ's first sentence is right, it is a regression against Sat 6.3.)

Comment 15 Lukáš Hellebrandt 2018-08-29 08:34:45 UTC
Verified with Sat 6.4 snap 19.

Administer -> About page now contains the "API Resources" link leading to "https://intel-wildcatpass-05.khw.lab.eng.bos.redhat.com/apidoc" which contains API v2 documentation.

Comment 17 errata-xmlrpc 2018-10-16 15:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.